package ru.yandex.webmaster3.storage.util.clickhouse2.query;

/**
 * @author tsyplyaev
 */
public class Format extends Statement {
    public enum Type {
        TAB_SEPARATED,
    }

    private Type type;

    public Format(Type type, Statement prev) {
        super(prev);
        this.type = type;
    }

    @Override
    public String toString() {
        return prev.toString() + " FORMAT " + getFormat();
    }

    private String getFormat() {
        if (type == Type.TAB_SEPARATED) {
            return "TabSeparated";
        }

        return "";
    }
}
